FKT Time Now
FKT is the abbreviation of Falkland Islands Time. Time zone offset of FKT is UTC-04. Falkland Islands Time is 4 hours behind from the UTC universal time. FKT current date is 22nd Thursday October 2026. Current time in FKT (FKT).
FKT Time
02:20:50
22 October 2026 Thursday
FKT is the abbreviation of Falkland Islands Time, the time standard practically used in the Falkland Islands despite the fact that official time zone for the area is UTC-3. This time standard came to effect in 2010, and this Falkland Islands Time is 4 hours behind the UTC universal time.
What time is it in Falkland Islands Time now? It is 02:20:50 right now.
Falkland Islands Time Date and Time Now in Various Formats
| Date Time Format | FKT Date Time Now |
|---|---|
| UTC | 2026-10-22T02:20:50Z |
| ISO-8601 | 2026-10-22T02:20:50+0000 |
| RFC 2822 | Thu, 22 Oct 2026 02:20:50 +0000 |
| RFC 850 | Thursday, 22-Oct-26 02:20:50 UTC |
| RFC 1036 | Thu, 22 Oct 26 02:20:50 +0000 |
| RFC 1123 | Thu, 22 Oct 2026 02:20:50 +0000 |
| RFC 822 | Thu, 22 Oct 26 02:20:50 +0000 |
| RFC 3339 | 2026-10-22T02:20:50+00:00 |
| ATOM | 2026-10-22T02:20:50+00:00 |
| COOKIE | Thursday, 22-Oct-2026 02:20:50 UTC |
| RSS | Thu, 22 Oct 2026 02:20:50 +0000 |
| W3C | 2026-10-22T02:20:50+00:00 |
| Unix Epoch | 1792635650 |
| YYYY-DD-MM HH:MM:SS | 2026-22-10 02:20:50 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-22-10 02:20:50 AM |
| DD-MM-YYYY HH:MM:SS | 22-10-2026 02:20:50 |
| MM-DD-YYYY HH:MM:SS | 10-22-2026 02:20:50 |